### Method

# GtkSource SpaceDrawer get_matrix

#### Declaration [src]

    GVariant*
    gtk_source_space_drawer_get_matrix (
      GtkSourceSpaceDrawer* drawer
    )

#### Description [src]

Gets the value of the `GtkSourceSpaceDrawer:matrix` property, as a `GVariant`.

An empty array can be returned in case the matrix is a zero matrix.

The `gtk_source_space_drawer_get_types_for_locations()` function may be more convenient to use.

Gets property | `GtkSource.SpaceDrawer:matrix`

#### Return value

Type: `GVariant`

The `GtkSourceSpaceDrawer:matrix` value as a new floating `GVariant` instance.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.